org.apache.ignite.internal.processors.query

## Class QuerySchema

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QuerySchema

All Implemented Interfaces:
  Serializable

    public class QuerySchema
    extends Object
    implements Serializable

Dynamic cache schema.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QuerySchema()` Default constructor.
`QuerySchema(Collection<QueryEntity> entities)` Constructor.

### Method Summary

Methods
`QuerySchema` `copy()` Copy object.
`Collection<QueryEntity>` `entities()`
`void` `finish(SchemaFinishDiscoveryMessage msg)` Process finish message.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QuerySchema

    public QuerySchema()

Default constructor.

#### QuerySchema

    public QuerySchema(Collection<QueryEntity> entities)

Constructor.

Parameters:
  `entities` - Query entities.

### Method Detail

#### copy

    public QuerySchema copy()

Copy object.

Returns:
  Copy.

#### finish

    public void finish(SchemaFinishDiscoveryMessage msg)

Process finish message.

Parameters:
  `msg` - Message.

#### entities

    public Collection<QueryEntity> entities()

Returns:
  Query entities.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017